/************************************************************************
* config_default.c
* voxelands - 3d voxel world sandbox game
* Copyright (C) Lisa 'darkrose' Milne 2016 <lisa@ltmnet.com>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>
************************************************************************/

#include "common.h"
#include "path.h"

void config_default_init()
{
	config_set_default("log.min_level","1",log_minlevel_setter);
	config_set_default("log.max_level","5",log_maxlevel_setter);
	config_set_default("log.system.min_level","4",log_sminlevel_setter);
	config_set_default("log.system.max_level","5",log_smaxlevel_setter);
	config_set_default("log.console.min_level","4",log_cminlevel_setter);
	config_set_default("log.console.max_level","5",log_cmaxlevel_setter);

	config_set_default("path.log",NULL,log_file_setter);
	config_set_default("path.data.custom",NULL,path_custom_setter);
	config_set_default("path.screenshot",NULL,path_screenshot_setter);
	config_set_default("path.game",NULL,path_game_setter);

/*
	some rtg things that will probably get used here, of sorts
	cmd_add_setter(RTG_SETTER_VFUNC,"sys.control",event_set_bind);
	cmd_add_setter(RTG_SETTER_LITERAL,"wm.width",wm_width_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"wm.height",wm_height_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"wm.framecap",wm_cap_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"wm.fullscreen",wm_fs_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"wm.distance",wm_distance_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"sound.enabled",sound_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"sound.effects.volume",sound_effects_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"sound.music.volume",sound_music_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.anisotropic",opengl_anisotropic_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.bilinear",opengl_bilinear_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.trilinear",opengl_trilinear_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.mipmaps",opengl_mipmap_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.shaders",shader_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.particles.enabled",opengl_particles_setter);
	cmd_add_setter(RTG_SETTER_LITERAL,"gl.particles.max",opengl_particles_max_setter);
	cmd_add_setter(RTG_SETTER_VFUNC,"ui.elements",ui_element_setter);
*/
}
